#ifdef _MSC_VER
#include <basetsd.h>
#endif

#include "config.h"
UBYTE *makeMTrk(UBYTE *zbuf,UBYTE *MTrk,DWORD *midc_,DWORD *zmdc_,
		DWORD bufs,DWORD trk,UBYTE trkch,DWORD next,DWORD init,
		DWORD looptime,DWORD R,DWORD MDDgate,
		DWORD fadespeed,DWORD fadedelay_,BYTE ABspc,DWORD runstatus,char *instname,
		DWORD *syncs,SYNCDAT **sync,DWORD syncmax,
		DWORD *tempos,TEMPODAT **tempo,DWORD tempomax,
		DWORD *debugs,DEBUGDAT **debug,DWORD debugmax,
		DWORD *loopst,DWORD *looped,BYTE opmtrk);
int geteig8(UBYTE *zbuf,WORD eig[]);
int all_noteoff(UBYTE *zbuf,UBYTE *harm,UBYTE *L0,DWORD *gate_old,DWORD trk);
void usech_init(void);
